

void ST_GiveToPC(string sResRef, object obj, int bNoFeedback=FALSE) 
{
    /*
    Thanks to stoffe for this wrapper!
    Allows CreateItemOnObject to be used in DelayCommand.
    */

    CreateItemOnObject(sResRef, obj, 1, bNoFeedback);
}

void CreateObject_Delayed(int nObjectType, string sTemplate, location lLocation, object oReturn) 
{
    oReturn = CreateObject(nObjectType, sTemplate, lLocation);
}

void main() 
{
    object opc   = GetFirstPC();
    int icurrent = GetCurrentHitPoints(opc);
    int inew     = ((icurrent / 5) * 4);
    int inew1    = (icurrent / 5);

    if ((GetTag(OBJECT_SELF) == "mu_treasure1")) 
    {
	object o1 = GetPartyMemberByIndex(0);
        object o2 = GetPartyMemberByIndex(1);
        object o3 = GetPartyMemberByIndex(2);
 
        ApplyEffectToObject(DURATION_TYPE_INSTANT, EffectVisualEffect(VFX_FNF_GRENADE_THERMAL_DETONATOR), opc);

        if (GetIsObjectValid(o1) == TRUE)
        {
            ApplyEffectToObject(DURATION_TYPE_INSTANT, EffectDamage(inew, DAMAGE_TYPE_ACID), o1);
        }
        if (GetIsObjectValid(o2) == TRUE)
        {
            int icurrent2 = GetCurrentHitPoints(o2);
            int inew2     = ((icurrent2 / 5) * 4);
            ApplyEffectToObject(DURATION_TYPE_INSTANT, EffectDamage(inew2, DAMAGE_TYPE_ACID), o2);
        }
        if (GetIsObjectValid(o3) == TRUE)
        {
            int icurrent3 = GetCurrentHitPoints(o3);
            int inew3     = ((icurrent3 / 5) * 4);
            ApplyEffectToObject(DURATION_TYPE_INSTANT, EffectDamage(inew3, DAMAGE_TYPE_ACID), o3);
        }

        int igender = GetGender(opc);
        switch (igender)
        {
            case GENDER_MALE:
                DelayCommand(2.0, PlaySound("p_plyermw_flock3"));
                break;
            case GENDER_FEMALE:
                DelayCommand(2.0, PlaySound("p_plyerfw_flock2"));
                break;
            default:      // GENDER_BOTH, GENDER_OTHER, GENDER_NONE => Default to Female
                DelayCommand(2.0, PlaySound("p_plyerfw_flock2"));
                break; 
        }
        
        DelayCommand(3.0, ST_GiveToPC("a_robe_21", opc));
        DelayCommand(3.0, ST_GiveToPC("kk_nomi_robe_01", opc));
        DelayCommand(3.0, ST_GiveToPC("kk_nomi_robe_02", opc));

        SetGlobalNumber("506OND_MuseumThief", 1);
        DelayCommand(3.5, DestroyObject(OBJECT_SELF, 0.0, 0, 0.0, 0));
    }

    if ((GetTag(OBJECT_SELF) == "mu_treasure2")) 
    {
	NoClicksFor(34.5);

        location loc1   = Location(Vector(-66.57, 46.63, -0.00), 359.0);
        object oexstinguisher = CreateObject(OBJECT_TYPE_CREATURE, "kk_museum_dust2", loc1);

        effect eBeam =  EffectBeam(2051, oexstinguisher, BODY_NODE_CHEST); //Carbonite Ray
        effect eIce =   EffectVisualEffect(2055);                          //Ice chunks
        effect eSolid = EffectVisualEffect(2054);                          //Ice Bumpout
        effect eStuck = EffectParalyze();

        DelayCommand(2.5, ApplyEffectToObject(DURATION_TYPE_TEMPORARY,   eBeam,    opc, 1.0));
        DelayCommand(3.0, ApplyEffectToObject(DURATION_TYPE_TEMPORARY,   eSolid,   opc, 30.0));
        DelayCommand(3.0, ApplyEffectToObject(DURATION_TYPE_TEMPORARY,   eIce,     opc, 30.0));
        DelayCommand(3.0, ApplyEffectToObject(DURATION_TYPE_TEMPORARY,   eStuck,   opc, 30.0));
 
        // the pc may have regeneration items so...

        icurrent = GetCurrentHitPoints(opc);
        inew1    = (icurrent / 5);
        DelayCommand(8.0,  ApplyEffectToObject(DURATION_TYPE_INSTANT, EffectDamage(inew1, DAMAGE_TYPE_ACID), opc));
        icurrent = GetCurrentHitPoints(opc);
        inew1    = (icurrent / 5);
        DelayCommand(14.0, ApplyEffectToObject(DURATION_TYPE_INSTANT, EffectDamage(inew1, DAMAGE_TYPE_ACID), opc));
        icurrent = GetCurrentHitPoints(opc);
        inew1    = (icurrent / 5);
        DelayCommand(20.0, ApplyEffectToObject(DURATION_TYPE_INSTANT, EffectDamage(inew1, DAMAGE_TYPE_ACID), opc));
        icurrent = GetCurrentHitPoints(opc);
        inew1    = (icurrent / 5);
        DelayCommand(26.0, ApplyEffectToObject(DURATION_TYPE_INSTANT, EffectDamage(inew1, DAMAGE_TYPE_ACID), opc));

        DelayCommand(3.0, DestroyObject(oexstinguisher, 0.0, 0, 0.0, 0));

        DelayCommand(4.0, PlaySound("kk_laugh_01"));

        DelayCommand(33.5, ST_GiveToPC("a_gloves_12", opc));
        DelayCommand(33.5, ST_GiveToPC("kk_nomi_robe_03", opc));
        DelayCommand(33.5, ST_GiveToPC("kk_nomi_robe_04", opc));

        SetGlobalNumber("506OND_MuseumThief", 1);
        DelayCommand(33.5, DestroyObject(OBJECT_SELF, 0.0, 0, 0.0, 0));
    }

    if ((GetTag(OBJECT_SELF) == "mu_treasure3")) 
    {
	NoClicksFor(8.5);

        location loc2   = Location(Vector(-58.42, 47.67, -0.00), 180.0);
        object oexstinguisher = CreateObject(OBJECT_TYPE_CREATURE, "kk_museum_dust2", loc2);

        effect eBeam1 =  EffectBeam(2053, oexstinguisher, BODY_NODE_HAND); //Flame Thrower
        effect eVFX =    EffectVisualEffect(1039);
        effect eBump =   EffectVisualEffect(2062);
        effect eHorror = EffectHorrified();
        effect eSmoke =  EffectVisualEffect(1007);                         //Smoke effect
        effect eStuck1 = EffectParalyze();

        DelayCommand(2.5, ApplyEffectToObject(DURATION_TYPE_TEMPORARY,   eBeam1,    opc, 3.0));
        DelayCommand(3.0, ApplyEffectToObject(DURATION_TYPE_TEMPORARY,   eVFX,      opc, 3.0));
        DelayCommand(3.0, ApplyEffectToObject(DURATION_TYPE_TEMPORARY,   eBump,     opc, 3.0));
        DelayCommand(3.0, ApplyEffectToObject(DURATION_TYPE_TEMPORARY,   eHorror,   opc, 3.0));
        DelayCommand(3.0, ApplyEffectToObject(DURATION_TYPE_TEMPORARY,   eSmoke,    opc, 30.0));
        DelayCommand(3.0, ApplyEffectToObject(DURATION_TYPE_TEMPORARY,   eStuck1,   opc, 3.0));

        DelayCommand(3.5, ApplyEffectToObject(DURATION_TYPE_INSTANT, EffectDamage(inew1, DAMAGE_TYPE_ACID), opc));
        DelayCommand(4.0, ApplyEffectToObject(DURATION_TYPE_INSTANT, EffectDamage(inew1, DAMAGE_TYPE_ACID), opc));
        DelayCommand(4.5, ApplyEffectToObject(DURATION_TYPE_INSTANT, EffectDamage(inew1, DAMAGE_TYPE_ACID), opc));
        DelayCommand(5.0, ApplyEffectToObject(DURATION_TYPE_INSTANT, EffectDamage(inew1, DAMAGE_TYPE_ACID), opc));

        DelayCommand(5.5, DestroyObject(oexstinguisher, 0.0, 0, 0.0, 0));

        int igender = GetGender(opc);
        switch (igender)
        {
            case GENDER_MALE:
                DelayCommand(3.0, PlaySound("kk_laugh_02"));
                break;
            case GENDER_FEMALE:
                DelayCommand(3.0, PlaySound("kk_laugh_03"));
                break;
            default:      // GENDER_BOTH, GENDER_OTHER, GENDER_NONE => Default to Female
                DelayCommand(3.0, PlaySound("kk_laugh_03"));
                break; 
        }

        DelayCommand(6.0, ST_GiveToPC("a_gloves_12", opc));
        DelayCommand(6.0, ST_GiveToPC("kk_nomi_robe_05", opc));
        DelayCommand(6.0, ST_GiveToPC("kk_nomi_robe_06", opc));

        SetGlobalNumber("506OND_MuseumThief", 1);
        DelayCommand(6.0, DestroyObject(OBJECT_SELF, 0.0, 0, 0.0, 0));
    }

    if ((GetTag(OBJECT_SELF) == "mu_treasure4")) 
    {
        NoClicksFor(3.5);             

	DelayCommand(2.5, ST_GiveToPC("u_l_colo_09", opc));
        DelayCommand(2.5, ST_GiveToPC("kk_nomi_robe_07", opc));
        DelayCommand(2.5, ST_GiveToPC("kk_nomi_saber", opc));

        DelayCommand(0.0, PlaySound("kk_laugh_04"));         //1.88 seconds

        location location1   = Location(Vector(-63.81, 53.13, -0.00), 90.0);
        object orancor1;
        DelayCommand(2.0, CreateObject_Delayed(OBJECT_TYPE_CREATURE, "kk_museum_dust1", location1, orancor1));
        DelayCommand(3.0, ExecuteScript("k_ai_master", orancor1, 1003));

        location location2   = Location(Vector(-66.57, 46.63, -0.00), 90.0);
        object orancor2;
        DelayCommand(2.0, CreateObject_Delayed(OBJECT_TYPE_CREATURE, "kk_museum_dust1", location2, orancor2));
        DelayCommand(3.0, ExecuteScript("k_ai_master", orancor2, 1003));

        location location3   = Location(Vector(-58.42, 47.67, -0.00), 90.0);
        object orancor3;
        DelayCommand(2.0, CreateObject_Delayed(OBJECT_TYPE_CREATURE, "kk_museum_dust1", location3, orancor3));
        DelayCommand(3.0, ExecuteScript("k_ai_master", orancor3, 1003));

        SetGlobalNumber("506OND_MuseumThief", 1);
        DelayCommand(3.2, DestroyObject(OBJECT_SELF, 0.0, 0, 0.0, 0));
    }

}


